Package com.databricks.jdbc.api.impl.arrow

## Class ArrowResultChunk.Builder

- java.lang.Object
- - com.databricks.jdbc.api.impl.arrow.ArrowResultChunk.Builder

Enclosing class:
  ArrowResultChunk

    public static class ArrowResultChunk.Builder
    extends Object

### Constructor Summary

Constructors
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ArrowResultChunk` `build()`
`ArrowResultChunk.Builder` `withChunkInfo​(com.databricks.sdk.service.sql.BaseChunkInfo baseChunkInfo)`
`ArrowResultChunk.Builder` `withChunkMetadata​(long chunkIndex, long rowCount, long rowOffset)` Sets chunk metadata directly without requiring a BaseChunkInfo object.
`ArrowResultChunk.Builder` `withChunkReadyTimeoutSeconds​(int chunkReadyTimeoutSeconds)`
`ArrowResultChunk.Builder` `withChunkStatus​(ChunkStatus status)`
`ArrowResultChunk.Builder` `withConnectionContext​(IDatabricksConnectionContext connectionContext)`
`ArrowResultChunk.Builder` `withInputStream​(InputStream stream, long rowCount)`
`ArrowResultChunk.Builder` `withStatementId​(StatementId statementId)`
`ArrowResultChunk.Builder` `withThriftChunkInfo​(long chunkIndex, TSparkArrowResultLink chunkInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### withStatementId

    public ArrowResultChunk.Builder withStatementId​(StatementId statementId)

#### withConnectionContext

    public ArrowResultChunk.Builder withConnectionContext​(IDatabricksConnectionContext connectionContext)

#### withChunkInfo

    public ArrowResultChunk.Builder withChunkInfo​(com.databricks.sdk.service.sql.BaseChunkInfo baseChunkInfo)

#### withChunkMetadata

    public ArrowResultChunk.Builder withChunkMetadata​(long chunkIndex,
                                                      long rowCount,
                                                      long rowOffset)

Sets chunk metadata directly without requiring a BaseChunkInfo object. Useful for streaming chunk creation where metadata comes from ExternalLink.

Parameters:
  `chunkIndex` - The index of this chunk
  `rowCount` - The number of rows in this chunk
  `rowOffset` - The starting row offset for this chunk
Returns:
  this builder

#### withInputStream

    public ArrowResultChunk.Builder withInputStream​(InputStream stream,
                                                    long rowCount)

#### withThriftChunkInfo

    public ArrowResultChunk.Builder withThriftChunkInfo​(long chunkIndex,
                                                        TSparkArrowResultLink chunkInfo)

#### withChunkStatus

    public ArrowResultChunk.Builder withChunkStatus​(ChunkStatus status)

#### withChunkReadyTimeoutSeconds

    public ArrowResultChunk.Builder withChunkReadyTimeoutSeconds​(int chunkReadyTimeoutSeconds)

#### build

    public ArrowResultChunk build()
                           throws DatabricksParsingException

Throws:
  `DatabricksParsingException`